MMEvents.createStructures(event => {
    event.create("mm:extractor_structure")
        .controllerId("mm:extractor")
        .name("Extractor")
        .layout(a => {
            a.layer([
                "111",
                "141",
                "111"
                ]).layer([
                "151",
                "263",
                "1C1"
                ]).layer([
                "111",
                "111",
                "111"
                
                ]).key("1", {
                block: "kubejs:marron"
                }).key("2", {
                block: "mm:item_extractor_input"
                }).key("3", {
                block: "mm:item_extractor_output"
                }).key("4", {
                block: "projectred_illumination:brown_inverted_illumar_lamp"
                }).key("5", {
                block: "mm:energy_extractor_input"
                }).key("6", {
                block: "xycraft_machines:extractor"
           })
           }) 
        })